// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics.proto

package com.accelfin.server.demo.analytics.dtos;

public interface FxAlertsReportTradeDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string trade_id = 1;</code>
   */
  java.lang.String getTradeId();
  /**
   * <code>optional string trade_id = 1;</code>
   */
  com.google.protobuf.ByteString
      getTradeIdBytes();

  /**
   * <code>optional string currency_pair = 2;</code>
   */
  java.lang.String getCurrencyPair();
  /**
   * <code>optional string currency_pair = 2;</code>
   */
  com.google.protobuf.ByteString
      getCurrencyPairBytes();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  boolean hasNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getNotionalOrBuilder();

  /**
   * <code>optional .com.accelfin.server.demo.analytics.dtos.SideDto side = 4;</code>
   */
  int getSideValue();
  /**
   * <code>optional .com.accelfin.server.demo.analytics.dtos.SideDto side = 4;</code>
   */
  com.accelfin.server.demo.analytics.dtos.SideDto getSide();

  /**
   * <pre>
   * normalised_rate will either be the same as rate, or when the report has multiple currencies it'll be a %
   * </pre>
   *
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto normalised_rate = 5;</code>
   */
  boolean hasNormalisedRate();
  /**
   * <pre>
   * normalised_rate will either be the same as rate, or when the report has multiple currencies it'll be a %
   * </pre>
   *
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto normalised_rate = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getNormalisedRate();
  /**
   * <pre>
   * normalised_rate will either be the same as rate, or when the report has multiple currencies it'll be a %
   * </pre>
   *
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto normalised_rate = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getNormalisedRateOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 6;</code>
   */
  boolean hasRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getRateOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  boolean hasExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getExecutedAtOrBuilder();

  /**
   * <code>optional bool has_alert = 8;</code>
   */
  boolean getHasAlert();

  /**
   * <code>repeated string alert_codes = 9;</code>
   */
  com.google.protobuf.ProtocolStringList
      getAlertCodesList();
  /**
   * <code>repeated string alert_codes = 9;</code>
   */
  int getAlertCodesCount();
  /**
   * <code>repeated string alert_codes = 9;</code>
   */
  java.lang.String getAlertCodes(int index);
  /**
   * <code>repeated string alert_codes = 9;</code>
   */
  com.google.protobuf.ByteString
      getAlertCodesBytes(int index);
}
